body, html { 
    font-size: var(--basesize);
    margin: 0;
    padding: 0;
    width: 100%;
    min-height: 100vh;
    overflow-x: hidden; 
    scrollbar-width: none;
    font-family: var(--font-type);
    background: var(--bg-body);
    background-attachment: fixed;
}
body::-webkit-scrollbar {
    display: none; /* Chrome, Safari, Edge */
}
.container {
    display: flex;
    flex-direction: column;
    justify-content: flex-start; 
    align-items: center;
    width: 90%;
    max-width: 40rem;
    margin: 0 auto;
    height: 100%;
    overflow: visible;
}

.header-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    margin-bottom: 3rem;
}
.logo-COP {
    height: 1.75rem;
    align-items: center;
    margin-top: 0.5rem;
    margin-bottom: 1rem;
}
.portal-title {
    align-self: flex-start;
    font-size: var(--xxxl);
    font-weight: var(--big-bold);
    color: var(--cop-green); 
    padding-left: 1.5rem;
    margin-bottom: 0.25rem;
}
.pacientes-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}
.pacientes-title {
    font-size: 2.125rem;
    font-weight: var(--big-bold);
    color: var(--cop-red);
    margin-left: 1.5rem;
}
.logo-cloud {
    height: 2rem;
    margin-right: 1.5rem;
}
.frase {
    font-size: var(--md);
    font-weight: var(--light);
    color: var(--normal-text);
    text-align: center;
    margin-bottom: 1rem;
}
.bold-frase {
    font-weight: var(--big-bold); 
    color: var(--normal-text);
}
.icon-patients {
    height: 3rem;
    border-radius: 1.5rem;
    margin-bottom: 1.5rem;
}
.form-container {
    display: flex;
    width: 90%;
    max-width: 24rem;
    margin-top: 2rem;
}
.form {
    display: flex;
    flex-direction: column;
    justify-content: center; 
    width: 100%;
    margin: auto;
    font-family: inherit;
}
/* .text-labels {
    font-size: var(--md);
    font-weight: var(--bold);
    margin-bottom: 0.5rem;
    color: var(--normal-text);
} */

.text-labels {
    position: absolute;
    top: -24px;
    left: 16px;
    border-radius: 10px;
    background: #e7e5e5ea;
    padding: 0 6px; /* Pequeño padding para que el texto se vea centrado */
    font-size: var(--sm);
    font-weight: var(--bold);
    color: var(--grey-light-text);
    pointer-events: none;
}
.input-container {
    position: relative;
    width: 100%;
    margin-bottom: 36px;
    display: flex; /* Usa flexbox para alinear el input al centro */
    justify-content: center; /* Centra horizontalmente los hijos (input y label) */
    align-items: center; 
}
input:-webkit-autofill {
    -webkit-box-shadow: 0 0 0px 1000px white inset; 
    box-shadow: 0 0 0px 1000px white inset;
    -webkit-text-fill-color: #000000;
}

.input-form {
    font-family: var(--font-type);
    /* border: 1px solid var(--grey-light-text); */
    border-radius: 10px;
    border: none;
    height: 52px;
    width: 100%;
    font-size: var(--md);
    font-weight: var(--bold);
    color: var(--main-text);
    padding-left: 12px;
    padding-right: 40px;
    box-sizing: border-box;
    background-color: var(--bg-input-text);
}
.input-form:focus { 
    outline: none;
    border: 2px solid var(--cop-yellow);
}
.input-form:focus + .text-labels,
.input-form:not(:placeholder-shown) + .text-labels {
    top: -8px;
    font-size: var(--xs); 
    color: var(--cop-yellow);
}
.password-wrapper {
    position: relative;
    display: flex;
    align-items: center;
    width: 100%;
}
.password-icon {
    position: absolute;
    right: 12px;
    cursor: pointer;
    width: 18px;
    height: 18px;
  
}
.error-login {
    font-size: var(--sm);
    font-weight: var(--normal);
    color: var(--cop-red);
    text-align: center;
    display: inline-block;
    padding: 0.25rem 0.25rem; 
    color: var(--cop-red);
}
.login-button {
    background-color: var(--button-cop-red);
    border-radius: 0.625rem;
    border: none;
    color: var(--white);
    cursor: pointer;
    font-size: var(--md);
    font-weight: var(--big-bold);
    height: 3.25rem;
    font-family: inherit;
    width: 100%;
    margin-top: 12px;
}
.login-button:active {
    background-color: var(--button-cop-lightred);
    transform: translateY(2px);
}
.login-button:hover {
    background-color: var(--button-cop-lightred);
    transform: translateY(2px);
}
.text-small {
    font-size: var(--sm);
    font-weight: var(--normal);
    margin-bottom: 0.5rem;
    color: var(--normal-text);
    justify-content: center;
}
.register-container {
    display: flex;
    flex-direction: column;
    align-items:center;
    margin-top: 1rem;
}
.register-button {
    background-color: transparent;
    border-radius: 0.875rem;
    border: 1px solid gray;
    color: var(--normal-text);
    cursor: pointer;
    font-size: var(--md);
    font-weight: var(--normal);
    height: 2.25rem;
    padding-left: 1.25rem;
    padding-right: 1.25rem;
    font-family: inherit;
    justify-content: center;

}
.register-button:active {
    background-color: var(--button-press-gray); /* Un color más oscuro que el color de fondo original */
    transform: translateY(2px); /* Mueve el botón ligeramente hacia abajo */
}
.footer-container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    margin-top: 1rem;
    margin-bottom: 4rem;
    width: 100%;
    font-size: var(--ssm);
    font-weight: var(--bold);
    color: var(--normal-text);
    font-family: inherit;
}
.footer-text {
    font-size: var(--ssm);
    font-weight: var(--bold);
    color: var(--normal-text);
}
.whatsapp-link {
    display: flex;
    align-items: center;
    text-decoration: none;
    color: var(--normal-text);
}
.icon-wa {
    width: 1rem;
    height: 1rem;
    margin-left: 0.25rem;
    margin-right: 0.25rem;
}
.numberwa-text {
    font-size: var(--ssm);
    font-weight: var(--bold);
    color: var(--normal-text);
}

.forgot-password {
    text-align: right;
}

.forgot-password a {
    font-size: var(--xs);
    color: var(--grey-normal-text);
    text-decoration: none;
    font-weight: 500;
    transition: color 0.2s ease;
}

.forgot-password a:hover {
    color: var(--grey-title); /* Cambiar el color al pasar el mouse */
    text-decoration: underline;
}